%global eclipse_base   %{_libdir}/eclipse
%global install_loc    %{_datadir}/eclipse/dropins/packager

Name:           eclipse-fedorapackager
Version:        0.1.12
Release:        1%{?dist}
Summary:        Fedora Packager Tools

Group:          Development/Tools
License:        EPL
URL:            http://fedorahosted.org/eclipse-fedorapackager
# Tar file generated from Git repository (tag 0.1.12)
# by:
#   bash get-eclipse-fedorapackager-sources.sh 0.1.12
Source0:        %{name}.tar.xz
Source1:        get-eclipse-fedorapackager-sources.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

BuildRequires: java-devel
BuildRequires: eclipse-pde >= 1:3.4.0
BuildRequires: not-yet-commons-ssl
BuildRequires: json >= 3-3
BuildRequires: eclipse-changelog
BuildRequires: eclipse-rpm-editor
BuildRequires: jakarta-commons-codec
BuildRequires: jakarta-commons-httpclient >= 3.1
BuildRequires: xmlrpc3-client
BuildRequires: xmlrpc3-common
BuildRequires: ws-commons-util
# Note: As of 0.1.10 we require >= 0.10.0 due to
# API changes.
BuildRequires: eclipse-egit >= 0.10.0
Requires: eclipse-platform >= 3.4.0
Requires: json >= 3-3
Requires: not-yet-commons-ssl
Requires: eclipse-rpm-editor
Requires: eclipse-changelog
Requires: jakarta-commons-httpclient >= 3.1
Requires: jakarta-commons-codec
Requires: xmlrpc3-client
Requires: xmlrpc3-common
Requires: ws-commons-util
# Note: As of 0.1.10 we require >= 0.10.0 due to
# API changes.
Requires: eclipse-egit >= 0.10.0

%description
Eclipse Fedora Packager is an Eclipse plug-in, which helps
Fedora contributors to interact with Fedora infrastructure
such as Koji, Bodhi and Git.

%prep
%setup -q -n eclipse-fedorapackager
rm -fr org.apache*
rm -fr org.json*
mkdir orbit
pushd orbit
ln -s %{_javadir}/xmlrpc3-client.jar
ln -s %{_javadir}/xmlrpc3-common.jar
ln -s %{_javadir}/json.jar org.json.jar
ln -s %{_javadir}/ws-commons-util.jar
ln -s %{_javadir}/not-yet-commons-ssl.jar commons-ssl.jar
popd

%build
%{eclipse_base}/buildscripts/pdebuild \
                -f org.fedoraproject.eclipse.packager \
                -o `pwd`/orbit \
                -d "rpm-editor changelog jgit egit"

%install
%{__rm} -rf %{buildroot}
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.fedoraproject.eclipse.packager.zip

# Remove old and create new symlinks to Import-Packages 
# in %%{_datadir}/eclipse/dropins/packager
pushd $RPM_BUILD_ROOT%{install_loc}/eclipse/plugins
rm -rf xmlrpc3-client.jar xmlrpc3-common.jar org.json.jar \
       ws-commons-util.jar commons-ssl.jar
ln -s %{_javadir}/xmlrpc3-client.jar
ln -s %{_javadir}/xmlrpc3-common.jar
ln -s %{_javadir}/json.jar org.json.jar
ln -s %{_javadir}/ws-commons-util.jar
ln -s %{_javadir}/not-yet-commons-ssl.jar commons-ssl.jar
popd 

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{install_loc}
%doc org.fedoraproject.eclipse.packager-feature/*.html

%changelog
* Wed Feb 9 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.1.12-1
- Update to upstream 0.1.12: Fix Koji SSL login mechanism,
  which changed server side.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 26 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.1.11-2
- Changed %description.

* Wed Jan 26 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.1.11-1
- Update to upstream 0.1.11
- Fix Trac #42, #55.
- Update doc plug-in.
- Work around JGit bug #317411.

* Wed Jan 12 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.1.10-3
- Fix NPE in hasLocalChanges() FpGitProjectBits also due to
  different branch naming.

* Wed Jan 12 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.1.10-2
- Fix NPE in branch mapping due to changed "f14"-like branch
  naming.

* Tue Jan 11 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.1.10-1
- Update to upstream 0.1.10.
- Require EGit/JGit >= 0.10.0.

* Wed Dec 15 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.9-2
- Update to upstream 0.1.9.
- Explicitly set autokarma=true for new Bodhi updates.

* Wed Nov 17 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.9-1
- Experimental build including Bodhi updates reporting
  dialog.

* Wed Oct 20 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.8-1
- Improve error checking in import wizard.
- Update user documentation.
- Upstream release 0.1.8

* Tue Oct 19 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.7-1
- Include potential fix for Ticket #34 (download performance
  problem).

* Thu Oct 14 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.6-1
- Remove eclipse-jgit R/BR since JGit is required by EGit
- Note: EGit API isn't stable yet. So, this package (0.1.6) might
  or might not work with EGit 0.10.x. It's known to work with
  EGit 0.9.x.
- Finally fixes Trac #35
  https://fedorahosted.org/eclipse-fedorapackager/ticket/35
  (Don't use 0.1.4/0.1.5 builds)
- Fixes Trac #38
  https://fedorahosted.org/eclipse-fedorapackager/ticket/38

* Wed Oct 13 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.5-1
- Fix Koji pop-up message early closure.
  https://fedorahosted.org/eclipse-fedorapackager/ticket/35

* Tue Oct 5 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.4-1
- Update to upstream release 0.1.4.

* Mon Oct 4 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.3-1
- Push release for actual build.

* Mon Oct 4 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.3-0.1
- Better error checking in FedoraCheckoutWizard.java
- Fixes https://fedorahosted.org/eclipse-fedorapackager/ticket/31
- Fixes https://fedorahosted.org/eclipse-fedorapackager/ticket/36

* Fri Oct 1 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.2-1
- Fix getDistDefines() in FedoraHandlerUtils.

* Thu Sep 30 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.1-2
- Spin new release to fix replace sources bug.

* Wed Sep 29 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.1-1
- Update to upstream 0.1.1
- Various bug fixes.

* Fri Aug 27 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.0-0.3
- Updated Eclipse help for Eclipse Fedora Packager.

* Thu Aug 26 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.0-0.2
- Fix feature and bundle version, egit/jgit dependencies.

* Thu Aug 26 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.1.0-0.1
- Rebase to 0.1.0 (introduces dist-git support).

* Tue Jul 13 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.0.3-6
- Push release for tagging

* Tue Jul 13 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.0.3-5
- Fix getMD5(). Wrong method has been used

* Tue Jul 13 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.0.3-4
- Fix NoSuchMethodError in getMD5()

* Mon Jul 12 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.0.3-3
- Updated to latest upstream
- Added get-eclipse-fedorapackager-sources.sh

* Wed Jun 23 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.0.3-2
- Fixed ambiguous Source0/Source1
- Removed -D -v switches of pdebuild call
- Bumped release version

* Tue Jun 22 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.0.3-1
- Initial release
